## org.eclipse.datatools.modelbase.sql.expressions
Interface SQLExpressionsPackage.Literals

Enclosing interface:
  SQLExpressionsPackage

public static interface SQLExpressionsPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `QUERY_EXPRESSION` The meta object literal for the '`Query Expression`' class.
`static EClass` `QUERY_EXPRESSION_DEFAULT` The meta object literal for the '`Query Expression Default`' class.
`static EAttribute` `QUERY_EXPRESSION_DEFAULT__SQL` The meta object literal for the 'SQL' attribute feature.
`static EClass` `SEARCH_CONDITION` The meta object literal for the '`Search Condition`' class.
`static EClass` `SEARCH_CONDITION_DEFAULT` The meta object literal for the '`Search Condition Default`' class.
`static EAttribute` `SEARCH_CONDITION_DEFAULT__SQL` The meta object literal for the 'SQL' attribute feature.
`static EClass` `VALUE_EXPRESSION` The meta object literal for the '`Value Expression`' class.
`static EClass` `VALUE_EXPRESSION_DEFAULT` The meta object literal for the '`Value Expression Default`' class.
`static EAttribute` `VALUE_EXPRESSION_DEFAULT__SQL` The meta object literal for the 'SQL' attribute feature.

Field Detail

### QUERY_EXPRESSION

    public static final EClass QUERY_EXPRESSION

  The meta object literal for the '`Query Expression`' class.

  See Also:
    `QueryExpression`, `SQLExpressionsPackageImpl.getQueryExpression()`

### VALUE_EXPRESSION

    public static final EClass VALUE_EXPRESSION

  The meta object literal for the '`Value Expression`' class.

  See Also:
    `ValueExpression`, `SQLExpressionsPackageImpl.getValueExpression()`

### SEARCH_CONDITION

    public static final EClass SEARCH_CONDITION

  The meta object literal for the '`Search Condition`' class.

  See Also:
    `SearchCondition`, `SQLExpressionsPackageImpl.getSearchCondition()`

### QUERY_EXPRESSION_DEFAULT

    public static final EClass QUERY_EXPRESSION_DEFAULT

  The meta object literal for the '`Query Expression Default`' class.

  See Also:
    `QueryExpressionDefaultImpl`, `SQLExpressionsPackageImpl.getQueryExpressionDefault()`

### QUERY_EXPRESSION_DEFAULT__SQL

    public static final EAttribute QUERY_EXPRESSION_DEFAULT__SQL

  The meta object literal for the 'SQL' attribute feature.

### SEARCH_CONDITION_DEFAULT

    public static final EClass SEARCH_CONDITION_DEFAULT

  The meta object literal for the '`Search Condition Default`' class.

  See Also:
    `SearchConditionDefaultImpl`, `SQLExpressionsPackageImpl.getSearchConditionDefault()`

### SEARCH_CONDITION_DEFAULT__SQL

    public static final EAttribute SEARCH_CONDITION_DEFAULT__SQL

  The meta object literal for the 'SQL' attribute feature.

### VALUE_EXPRESSION_DEFAULT

    public static final EClass VALUE_EXPRESSION_DEFAULT

  The meta object literal for the '`Value Expression Default`' class.

  See Also:
    `ValueExpressionDefaultImpl`, `SQLExpressionsPackageImpl.getValueExpressionDefault()`

### VALUE_EXPRESSION_DEFAULT__SQL

    public static final EAttribute VALUE_EXPRESSION_DEFAULT__SQL

  The meta object literal for the 'SQL' attribute feature.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.